Update user type

Updates the user type.

put

This endpoint allows you to update the user type for a specific user by their id. Just Super Admins can update the user type.

Path parameters
idstringRequired

The id of the user.

typestring · enumRequired

This enum is used to map the User Type from the database.

Possible values:
Header parameters
Brand-URLstringRequired

The brand URL of the request. This is used to identify the brand.

Example: YOUR_BRAND_URL
Auth-KeystringRequired

Auth-Key is required to authenticate the request. If missing, the server will return 401 Unauthorized.

Example: YOUR_AUTH_KEY
Responses
chevron-right
200

The request was successful.

application/json

The API result model with data.

successbooleanRead-onlyRequired

This is the flag to indicate whether the API call is successful or not.

statusCodeinteger · int32Read-onlyRequired

This is the HTTP status code. This is used to determine the status code to be returned to the client.

messagestring · min: 1Required

This is the message to be displayed to the user.

databooleanOptional
put
/api/v1/users/{id}/type/{type}

Last updated